//
// File:   ClauseStrategyRuling.h
// Author: tomina
//
// Created on 25 November 2007, 01:09
//

#ifndef _CLAUSESTRATEGYRULING_H
#define	_CLAUSESTRATEGYRULING_H

#include "InformativeProofNode.h"

class ClauseStrategyRuling : public InformativeProofNode
{
	int literal1;
	int literal2;
    bool pos1;
    bool pos2;
public:
	ClauseStrategyRuling(int l1, int l2, bool p1, bool p2);
	virtual ~ClauseStrategyRuling() {}
	int getFirstClauseLiteralIndex();
	int getSecondClauseLiteralIndex();
	bool isFirstPositive();
	bool isSecondPositive();
};

#endif	/* _CLAUSESTRATEGYRULING_H */

