#include "ConcreteClause.h"

using namespace std;
using namespace NS_PROOFLIB;

ConcreteClause::ConcreteClause(vector<Term *> pos, vector<Term *> neg, VariableNameGenerator* vng)
:Clause(pos,neg,vng) 
{
}

ConcreteClause::~ConcreteClause()
{
}

set<Clause*> ConcreteClause::getResolvedClauses()
{
	set<Clause*> ret;
	set<ProofNode*> tmp = getChildrenOfType(typeid(ConcreteClause));
	for (set<ProofNode*>::const_iterator it = tmp.begin(); it != tmp.end(); ++it)
	{
		Clause *c = dynamic_cast<Clause*>(*it);
		ret.insert(c);
	}
	return ret;
}