#ifndef INPUTSET_H_
#define INPUTSET_H_

#include "Clause.h"
#include "ATPException.h"

#include <string>
#include <set>

class InputSet
{
    std::set<Clause *> *clauseSet;
public:
    InputSet(std::set<Clause *> *);
	virtual ~InputSet();
	bool isEmpty();
    std::set<Clause *> *getClauseSet();
    void insert(Clause *c);
    std::string toString();
    std::set<Clause*> searchForClauses(std::string &t);
};

#endif /*INPUTSET_H_*/
