#include "InputSetEvent.h"

using namespace std;

InputSetEvent::InputSetEvent(Type t, Clause *c, string m)
{
	type = t;
	clause = c;
	msg = m;
}

InputSetEvent::InputSetEvent(const InputSetEvent &ise)
{
	type = ise.type;
	clause = ise.clause;
	msg = ise.msg;
}

InputSetEvent::~InputSetEvent()
{
}

InputSetEvent::Type InputSetEvent::getType()
{
	return type;
}

Clause *InputSetEvent::getClause()
{
	return clause;
}

string InputSetEvent::getMessage()
{
	return msg;
}