//
// File:   NodePrint.h
// Author: shaolin
//
// Created on March 15, 2008, 9:09 PM
//

#ifndef _NODEPRINT_H
#define	_NODEPRINT_H


class ProofNode;
class Clause;
class Unifier;
class Variant;
class Resolvent;
class ParaModulant;
class Factor;
class ProofEnvironment;

class NodePrint
{

public:

    NodePrint() {};
    virtual ~NodePrint() {};
    virtual void initialize() = 0;
    virtual void finalize() = 0;
    virtual void beginNode(ProofNode&) = 0;
    virtual void endNode(ProofNode&) = 0;
    virtual void beginChildren(ProofNode&) = 0;
    virtual void beginTree() = 0;
    virtual void endTree() = 0;
    virtual void endChildren(ProofNode&) = 0;
    virtual void printNode(Clause&) = 0;
    virtual void printNode(Unifier&) = 0;
    virtual void printNode(Variant&) = 0;
    virtual void printNode(Resolvent&) = 0;
    virtual void printNode(ParaModulant&) = 0;
    virtual void printNode(Factor&) = 0;
};

#endif	/* _NODEPRINT_H */

