#ifndef VARIABLENAMEGENERATOR_H_
#define VARIABLENAMEGENERATOR_H_

#include "Variable.h"
#include "datatypes.h"

class VariableNameGenerator
{
	friend class Clause;
public:
	NS_PROOFLIB::ProofDatabase *pdb;
public:
	virtual ~VariableNameGenerator() {} 
	virtual NS_PROOFLIB::Variable *generateNameFor(NS_PROOFLIB::Variable *) = 0;
	void setProofDatabase(NS_PROOFLIB::ProofDatabase *);
};

#endif /*VARIABLENAMEGENERATOR_H_*/
