#ifndef NOFACTORIZER_H_INCLUDED
#define NOFACTORIZER_H_INCLUDED

#include "Factorizer.h"

class NoFactorizer : public Factorizer
{
    public:
    NoFactorizer();
    ~NoFactorizer();
	/* Only the input Clause is returned and so no factor is created
	 */
	std::set<std::pair<Clause*, unsigned int>, ClausePairCmp> getFactorsSet(Clause *c, ClauseContext *, unsigned int ind, bool indPos);
};

#endif // NOFACTORIZER_H_INCLUDED
