#ifndef UNIFICATIONALGORITHM_H_INCLUDED
#define UNIFICATIONALGORITHM_H_INCLUDED

#include "Resolvent.h"
#include <set>
#include "Factorizer.h"
#include "ClauseStrategyRuling.h"

class UnificationAlgorithm
{
    public:
    UnificationAlgorithm() {}
    virtual ~UnificationAlgorithm() {}
    virtual Unifier *getUnifiers(Clause *c1, Clause *c2, int ind1, bool isPos1, int ind2, bool isPos2) = 0;
    	/*
	 * This unify method gets a context that contains all mappings and produce the mgu
	 */
	virtual Unifier *unify(NS_PROOFLIB::Term *t1, NS_PROOFLIB::Term *t2, ClauseContext *c) = 0;
	virtual Unifier *unify(NS_PROOFLIB::Term *t1, NS_PROOFLIB::Term *t2, ClauseContext *cc1, ClauseContext *cc2) = 0;
};

#endif // UNIFICATIONALGORITHM_H_INCLUDED
