#ifndef CLAUSEFEATUREVECTOR_H_
#define CLAUSEFEATUREVECTOR_H_

#include "Clause.h"
#include <string>
#include <vector>
#include <map>

class ClauseFeatureVector
{
	int size;
	unsigned int *depth;
public:
	ClauseFeatureVector(int size);
	virtual ~ClauseFeatureVector();
	void init(Clause*, std::map<std::string, unsigned int> *fi);
	unsigned int getDepthAtIndex(unsigned int index);
private:
	void recUpdate(NS_PROOFLIB::Term*, unsigned int depth, int negCoeff, ClauseContext *c, std::map<std::string, unsigned int> *fi);
	ClauseFeatureVector(const ClauseFeatureVector&);
};

#endif /*CLAUSEFEATUREVECTOR_H_*/
