#ifndef SUBSUMPTIONALGORITHM_H_
#define SUBSUMPTIONALGORITHM_H_

#include "Clause.h"
#include "UnificationAlgorithm.h"
#include "SubsumptionProofEnvironmentExtension.h"

class SubsumptionProofEnvironmentExtension;

class SubsumptionAlgorithm
{
protected:
	SubsumptionProofEnvironmentExtension *env;
public:
	SubsumptionAlgorithm(SubsumptionProofEnvironmentExtension *e){env = e;}
	virtual ~SubsumptionAlgorithm(){}
	virtual bool isSubsumed(Clause *subsumed, Clause *subsumer) = 0;
};
#endif /*SUBSUMPTIONALGORITHM_H_*/
