#ifndef ATPEXCEPTION_H_
#define ATPEXCEPTION_H_

#include <string>

class ATPException
{
	std::string msg;
	
public:
	ATPException(const std::string s);
	virtual ~ATPException();
	std::string getMessage() const;
};

/* reports user input exceptions
 */
class InputException : public ATPException 
{
public :
	InputException(const std::string msg) : ATPException(msg) {}
};

#endif /*ATPEXCEPTION_H_*/
