#include "ClauseStrategyRuling.h"

ClauseStrategyRuling::ClauseStrategyRuling(int i, int j, bool p1, bool p2) : InformativeProofNode()
{
	literal1 = i;
	literal2 = j;
	pos1 = p1;
	pos2 = p2;
}

int ClauseStrategyRuling::getFirstClauseLiteralIndex()
{
	return literal1;
}

int ClauseStrategyRuling::getSecondClauseLiteralIndex()
{
	return literal2;
}

bool ClauseStrategyRuling::isFirstPositive()
{
    return pos1;
}

bool ClauseStrategyRuling::isSecondPositive()
{
    return pos2;
}
