#ifndef CONCRETECLAUSE_H_
#define CONCRETECLAUSE_H_

#include "Clause.h"
#include "Term.h"
#include "VariableNameGenerator.h"

#include <vector>
#include <set>

/*
 * represents a clause that is not a variant
 */
class ConcreteClause : public Clause
{
public:
	ConcreteClause(std::vector<NS_PROOFLIB::Term *> pos, std::vector<NS_PROOFLIB::Term *> neg, VariableNameGenerator*);
	virtual ~ConcreteClause();
	std::set<Clause*> getResolvedClauses(); //resolved by this clause
};

#endif /*CONCRETECLAUSE_H_*/
