#ifndef INPUTSETEVENT_H_
#define INPUTSETEVENT_H_

#include "InputSet.h"
#include "Clause.h"

class InputSetEvent
{
public:
	enum Type {CLAUSE_ADDED, CLAUSE_DELETED, CLAUSE_REFUSED};
	InputSetEvent(Type t, Clause *c, std::string msg);
	InputSetEvent(const InputSetEvent &t);
	virtual ~InputSetEvent();
	Type getType();
	Clause *getClause();
	std::string getMessage();
private:
	Type type;
	Clause *clause;
	std::string msg;
};

#endif /*INPUTSETEVENT_H_*/
