#ifndef MANAGEDREFINEMENT_H_
#define MANAGEDREFINEMENT_H_

#include "Refinement.h"
#include <vector>
#include <map>
#include <string>

class ManagedRefinement : public Refinement
{
public:
	ManagedRefinement() {}
	virtual ~ManagedRefinement() {}
	virtual std::map<Clause*, int> getIndicesMap() = 0;
	virtual std::string getIndicesMessage() = 0;
	virtual ResolvingSequence *getResolvingSequenceFromIndices(std::vector<int>) = 0;
};

#endif /*MANAGEDREFINEMENT_H_*/
