#include "ParaModulant.h"

using namespace std;
ParaModulant::ParaModulant(std::vector<NS_PROOFLIB::Term *> pos, std::vector<NS_PROOFLIB::Term *> neg, type t, VariableNameGenerator *vng, bool p)
 :Resolvent(pos,neg, t, vng)
{
	isPos = p;
}

ParaModulant::~ParaModulant()
{
}

void ParaModulant::print(NodePrint& printer)
{
    printer.beginNode(*this);
    printer.printNode(*this);
    printer.beginChildren(*this);
    for (vector<ProofNode*>::const_iterator it = parents->begin(); it != parents->end();++it)
    {
        (*it)->print(printer);
    }
    printer.endChildren(*this);
    printer.endNode(*this);
}

bool ParaModulant::isPositive()
{
	return isPos;
}