#ifndef PARAMODULANT_H_
#define PARAMODULANT_H_

#include "Resolvent.h"

class ParaModulant : public Resolvent
{
	// this bools deterines if the modulation is on a positive term or on negative
	bool isPos;
public:
	ParaModulant(std::vector<NS_PROOFLIB::Term *> pos, std::vector<NS_PROOFLIB::Term *> neg, type t, VariableNameGenerator *vng, bool isPos);
	virtual ~ParaModulant();
	virtual void print(NodePrint&);
	bool isPositive();
};

#endif /*PARAMODULANT_H_*/
