#ifndef RESOLVENT_H_
#define RESOLVENT_H_

#include "ConcreteClause.h"
#include "Unifier.h"
#include "VariableNameGenerator.h"

class Resolvent : public ConcreteClause
{
public:
	enum type {EMPTY, INVALID, EXAUSTED, NORMAL};
private:
	type resType;
public:
	Resolvent(std::vector<NS_PROOFLIB::Term *> pos, std::vector<NS_PROOFLIB::Term *> neg, type t, VariableNameGenerator *vng);
	virtual ~Resolvent();
	type getType() const;
	void setClauseContext(Unifier *);
	virtual void print(NodePrint&);
};

#endif /*RESOLVENT_H_*/
