#include "ResolventPostProcessor.h"

using namespace std;
ResolventPostProcessor::ResolventPostProcessor()
{
}

ResolventPostProcessor::~ResolventPostProcessor()
{
}

void ResolventPostProcessor::addInputSetEventListener(InputSetEventListener *r)
{
	listeners.push_back(r);
}

void ResolventPostProcessor::fireEventPerformed(InputSetEvent ie)
{
	for (list<InputSetEventListener*>::const_iterator it = listeners.begin(); it != listeners.end(); ++it)
	{
		(*it)->setEventPerformed(ie);
	}
}

bool PostProcessorPriorityCmp::operator()(const ResolventPostProcessor* r1, const ResolventPostProcessor *r2) const
{
	return r1->priority < r2->priority;
}