#include "SimpleVariableNameGenerator.h"

using namespace NS_PROOFLIB;
using namespace std;

SimpleVariableNameGenerator::SimpleVariableNameGenerator()
{
}

SimpleVariableNameGenerator::~SimpleVariableNameGenerator()
{
}

Variable *SimpleVariableNameGenerator::generateNameFor(Variable *v)
{
	string symb = v->getSymbol();
	int pos;
	if ((pos = symb.find("_")) > 0)
	{
		symb = symb.substr(0, pos);
	}
	int *ind = namesMap[symb];
	if (ind == NULL)
	{
		ind = new int(1);
		namesMap[symb] = ind;
	}
	
	int &val = *ind;
	ostringstream oss;
	oss << symb << "_{" <<(val)<<"}";
	string s(oss.str());
	val++;
	return pdb->newVariable(s.c_str());
}
