/*
 * SpiritParser.h
 *
 *  Created on: 05-Nov-2008
 *      Author: shaolin
 */

#ifndef SPIRITPARSER_H_
#define SPIRITPARSER_H_

#include "ClausesInput.h"
#include "Prover9Grammer.h"
#include "SpiritProofEnvironmentExtension.h"

class SpiritParser: public ClausesInput {
private:
	SpiritProofEnvironmentExtension *env;

public:
	SpiritParser(SpiritProofEnvironmentExtension *env);
	virtual ~SpiritParser();

	InputSet *parseFromFile(const std::string& f);
	InputSet *parseFromString(std::string& s);
};

#endif /* SPIRITPARSER_H_ */
