#ifndef PARAMODULATOR_H_INCLUDED
#define PARAMODULATOR_H_INCLUDED

#include "ParaModulant.h"
#include "Clause.h"
#include "UnificationAlgorithm.h"
#include <set>

class ParaModulator
{
protected:
	UnificationAlgorithm *unifAlg;
public:
    ParaModulator() {}
    virtual ~ParaModulator() {}
    virtual std::set<ParaModulant*> modulate(Clause *c1, Clause *c2, int index1, bool isPos1, int index2, bool isPos2) = 0;
    void setUnificationAlgorithm(UnificationAlgorithm *u) {unifAlg = u;};
};

#endif // PARAMODULATOR_H_INCLUDED
