#ifndef SIMPLEUNIFICATIONALGORITHM_H_INCLUDED
#define SIMPLEUNIFICATIONALGORITHM_H_INCLUDED

#include "UnificationAlgorithm.h"
#include "UnifierImp.h"

class SimpleUnificationAlgorithm : public UnificationAlgorithm
{
    public:
    SimpleUnificationAlgorithm() {}
    ~SimpleUnificationAlgorithm() {}
    Unifier *getUnifiers(Clause *c1, Clause *c2, int ind1, bool isPos1, int ind2, bool isPos2);

	/*
	 * This unify method gets a context that contains all mappings and produce the mgu
	 */
	Unifier *unify(NS_PROOFLIB::Term *t1, NS_PROOFLIB::Term *t2, ClauseContext *c);
	Unifier *unify(NS_PROOFLIB::Term *t1, NS_PROOFLIB::Term *t2, ClauseContext *cc1, ClauseContext *cc2);
};

#endif // SIMPLEUNIFICATIONALGORITHM_H_INCLUDED
