#ifndef STILLMANSUBSUMPTIONALGORITHM_H_
#define STILLMANSUBSUMPTIONALGORITHM_H_

#include "SubsumptionAlgorithm.h"

class StillmanSubsumptionAlgorithm : public SubsumptionAlgorithm
{
public:
	StillmanSubsumptionAlgorithm(SubsumptionProofEnvironmentExtension *e);
	virtual ~StillmanSubsumptionAlgorithm();
	bool isSubsumed(Clause *subsumed, Clause *subsumer);
private:
	bool ST0(Clause *c, Clause *d, unsigned int i, unsigned int j, Unifier *u);
	NS_PROOFLIB::Term *getTerm(std::vector<NS_PROOFLIB::Term*>&, std::vector<NS_PROOFLIB::Term*>&, unsigned int i); //indices starts with 1
};

#endif /*STILLMANSUBSUMPTIONALGORITHM_H_*/
