/*
 * SubsumptionProofEnvironmentExtension.h
 *
 *  Created on: 30-Oct-2008
 *      Author: shaolin
 */

#ifndef SUBSUMPTIONPROOFENVIRONMENTEXTENSION_H_
#define SUBSUMPTIONPROOFENVIRONMENTEXTENSION_H_

#include "SubsumptionAlgorithm.h"
#include "UnificationAlgorithm.h"

class SubsumptionAlgorithm;
class SubsumptionProofEnvironmentExtension {

private:
	SubsumptionAlgorithm *subAlg;
	UnificationAlgorithm *unifAlg;

public:
	SubsumptionProofEnvironmentExtension();
	virtual ~SubsumptionProofEnvironmentExtension();

	void setSubsumptionAlgorithm(SubsumptionAlgorithm *s);
	SubsumptionAlgorithm *getSubsumptionAlgorithm();
	void setUnificationAlgorithmForSubsumption(UnificationAlgorithm *u);
	UnificationAlgorithm *getUnificationAlgorithmForSubsumption();
};

#endif /* SUBSUMPTIONPROOFENVIRONMENTEXTENSION_H_ */
